#!/bin/bash
# Fanta <fanta@56k.es>
# Script bash para compilar la última versión de scummvm en Debian

d="/tmp/scummvm"

if [ "$(whoami)" != "root" ]; then
  echo "[+] Checking root user"
  echo -e "\e[31m\e[1m[NOT OK]\e[0m Run it with root please" && exit
fi

# Debian 9
cat /etc/issue | grep "Debian GNU/Linux 9" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install -y g++ make git nasm libsdl2-dev libsdl2-net-dev liba52-dev libjpeg62-turbo-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev
  git clone -b master --depth 1 "https://github.com/scummvm/scummvm.git" $d ; cd $d
  ./configure --enable-all-engines --disable-discord --enable-plugins --enable-profiling
  make clean ; make -j$(nproc); make install
fi

# Debian 10
cat /etc/issue | grep "Debian GNU/Linux 10" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install -y g++ make git nasm libsdl2-dev libsdl2-net-dev liba52-dev libjpeg62-turbo-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev
  git clone -b master --depth 1 "https://github.com/scummvm/scummvm.git" $d ; cd $d
  ./configure --enable-all-engines --disable-discord --enable-plugins --enable-profiling
  make clean ; make -j$(nproc); make install
fi

# Debian 11
cat /etc/issue | grep "Debian GNU/Linux 11" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install -y g++ make git nasm libsdl2-dev libsdl2-net-dev liba52-dev libjpeg62-turbo-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev
  git clone -b master --depth 1 "https://github.com/scummvm/scummvm.git" $d ; cd $d
  ./configure --enable-all-engines --disable-discord --enable-plugins --enable-profiling
  make clean ; make -j$(nproc); make install
fi

# Debian 12
cat /etc/issue | grep "Debian GNU/Linux 12" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install -y g++ make git nasm libsdl2-dev libsdl2-net-dev liba52-dev libjpeg62-turbo-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev
  git clone -b master --depth 1 "https://github.com/scummvm/scummvm.git" $d ; cd $d
  ./configure --enable-all-engines --disable-discord --enable-plugins --enable-profiling
  make clean ; make -j$(nproc); make install
fi

# Linux Mint 21.2
cat /etc/issue | grep "Linux Mint 21.2 Victoria" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install -y g++:amd64 make git nasm libsdl2-dev libsdl2-net-dev liba52-dev libjpeg-turbo8-dev libjpeg-dev libjpeg62-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev
  git clone -b master --depth 1 "https://github.com/scummvm/scummvm.git" $d ; cd $d
  ./configure --enable-all-engines --disable-discord --enable-plugins --enable-profiling
  make clean ; make -j$(nproc); make install
fi



