#!/bin/bash
# Fanta <fanta@56k.es>
# Script para compilar la versión más reciente de dosbox-x en Debian

d="/tmp/dosbox-x"

if [ "$(whoami)" != "root" ]; then
  echo "[+] Checking root user"
  echo -e "\e[31m\e[1m[NOT OK]\e[0m Run it with root please" && exit
fi

# Debian 10
cat /etc/issue | grep "Debian GNU/Linux 10" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install automake git gcc g++ make libncurses-dev nasm libsdl-net1.2-dev libsdl2-net-dev libpcap-dev fluidsynth libfluidsynth-dev libavdevice58 libavformat-dev libavcodec-dev libavcodec-extra libavcodec-extra58 libswscale-dev libfreetype6-dev libxkbfile-dev libxrandr-dev -y
  git clone "https://github.com/joncampbell123/dosbox-x" $d ; cd $d
  bash build-debug-sdl2 ; make install ; sleep 2; rm -rf $d
fi

# Debian 11
cat /etc/issue | grep "Debian GNU/Linux 11" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install automake git gcc g++ make libncurses-dev nasm libsdl-net1.2-dev libsdl2-net-dev libpcap-dev fluidsynth libfluidsynth-dev libavdevice58 libavformat-dev libavcodec-dev libavcodec-extra libavcodec-extra58 libswscale-dev libfreetype6-dev libxkbfile-dev libxrandr-dev -y
  git clone "https://github.com/joncampbell123/dosbox-x" $d ; cd $d
  bash build-debug-sdl2 ; make install ; sleep 2; rm -rf $d
fi

# Debian 12
cat /etc/issue | grep "Debian GNU/Linux 12" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install automake git gcc g++ make libncurses-dev nasm libsdl-net1.2-dev libsdl2-net-dev libpcap-dev fluidsynth libfluidsynth-dev libavdevice59 libavformat-dev libavcodec-dev libavcodec-extra libavcodec-extra59 libswscale-dev libfreetype6-dev libxkbfile-dev libxrandr-dev -y
  git clone "https://github.com/joncampbell123/dosbox-x" $d ; cd $d
  bash build-debug-sdl2 ; make install ; sleep 2; rm -rf $d
fi

# Linux Mint 21.2
cat /etc/issue | grep "Linux Mint 21.2 Victoria" 1>/dev/null ; if [ "$?" -ne 1 ]; then
  apt update -y ; apt install automake git gcc g++ make libncurses-dev nasm libsdl-net1.2-dev libsdl2-net-dev libpcap-dev fluidsynth libfluidsynth-dev libavdevice58 libavformat-dev libavcodec-dev libavcodec-extra libavcodec-extra58 libswscale-dev libfreetype6-dev libxkbfile-dev libxrandr-dev -y
  git clone "https://github.com/joncampbell123/dosbox-x" $d ; cd $d
  bash build-debug-sdl2 ; make install ; sleep 2; rm -rf $d
fi

